use std::collections::HashMap;
use serde::Deserialize;

#[derive(Deserialize)]
pub struct Config {
    pub sources: Sources
}

#[derive(Deserialize)]
pub struct Sources {
    pub grib2: HashMap<String, Grib2Source>
}

#[derive(Deserialize)]
pub struct Grib2Source {
    pub from: String,
    pub needs_gzip: bool,
    pub valid_for: u64,
    pub palette: String,
    pub missing: Option<f64>,
    pub range_folded: Option<f64>,
    pub no_coverage: Option<f64>
}